openmediavault-transmissionbt fails to install on Raspberry Pi due to dependencies.

  • Hello everyone.


    I'm trying to install openmediavault-transmissionbt on OMV 1.0.29 on a Raspberry Pi.


    The installation fails due to dependencies not being installed; it appears transmission-deamon and transmission-cli are not going to be installed.
    If I add these 2 packages to then another dependency is missing (transmission-common), well, the necessary version is missing.



    If I add these 2 packages to then another dependency is missing (transmission-common), well, the necessary version is missing.



    If I then look for the package version on the Wheezy repository I can see it's an older version.


    Code
    root@pi:~# apt-cache madison transmission-common
    transmission-common | 2.52-3+nmu2 | http://mirrordirector.raspbian.org/raspbian/ wheezy/main armhf Packages


    Now, I can see the available version is 2.52-3 while the required one is 2.82-1.1.
    I have then tried to add Jessie repository which I know having more up-to-date packages; at least this is the repo I had been using to get transmission up and running on RaspBMC.


    After this change I can find a more recent version of the package (2.84-0.1) but apparently this is way too recent for the plugin.



    Unfortunately no-one of the 2 repositories offer the version 2.82.1.1


    Code
    root@pi:~# apt-cache madison transmission-common
    transmission-common | 2.84-0.1 | http://mirrordirector.raspbian.org/raspbian/ jessie/main armhf Packages
    transmission-common | 2.52-3+nmu2 | http://mirrordirector.raspbian.org/raspbian/ wheezy/main armhf Packages


    Can somebody offer any advice or help please?


    Thank you.

  • I made armhf transmission packages on the RPi and they are in the testing repo. Enable the testing repo on the Primary tab of omv-extras and it should find the packages.

    omv 5.5.2 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.3.3
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • I made armhf transmission packages on the RPi and they are in the testing repo. Enable the testing repo on the Primary tab of omv-extras and it should find the packages.

    I have the same problem but I don't understand the solution. How exactly do I "enable the testing repo on the primary tab of omv-extras"? I am on a headless raspberry pi via ssh, so I am restricted to console.

  • How exactly do I "enable the testing repo on the primary tab of omv-extras"? I am on a headless raspberry pi via ssh, so I am restricted to console.

    Why can't you use the OMV web interface?

    omv 5.5.2 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.3.3
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

  • I'm having the same issue. Can't use the omv web interface, because omv won't install. I have the latest Jessie install on the Pi3, so don't understand the issue. I know the php5 was a problem on the old Pi1.


    Frustrating when all tutorials don't have this problem. :(

  • Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:


    The following packages have unmet dependencies:
    openmediavault : Depends: php5-fpm but it is not installable
    Depends: php5-cgi but it is not installable
    Depends: php5-cli (>= 5.6) but it is not installable
    Depends: php5-pam but it is not going to be installed
    E: Unable to correct problems, you have held broken packages.
    dpkg-query: package 'openmediavault' is not installed and no information is available
    Use dpkg --info (= dpkg-deb --info) to examine archive files,
    and dpkg --contents (= dpkg-deb --contents) to list their contents.
    /usr/sbin/dpkg-reconfigure: openmediavault is not installed
    ./two.sh: 47: ./two.sh: omv-initsystem: not found


    This is what I get... every time...

  • Have you managed to fix the problem? I'm having the same currently

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!